using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MyOffice.Migrations.Postgres.Migrations
{
    /// <inheritdoc />
    public partial class CurrencyQuantity2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DefaultQuantity",
                table: "Currencies");

            migrationBuilder.AddColumn<int>(
                name: "DefaultQuantity",
                table: "CurrencyGlobals",
                type: "integer",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DefaultQuantity",
                table: "CurrencyGlobals");

            migrationBuilder.AddColumn<int>(
                name: "DefaultQuantity",
                table: "Currencies",
                type: "integer",
                nullable: false,
                defaultValue: 0);
        }
    }
}
